org.eclipse.wst.jsdt.chromium.debug.core.util

## Interface RangeBinarySearch.Input

Enclosing class:
  RangeBinarySearch

    public static interface RangeBinarySearch.Input

An algorithm input model. There are several (possibly zero) pin-points on an abstract axis. The pin-points are ordered and they divide the axis into several ranges. First and last range are open-ended. An additional point X is strictly less or more than any pin-point.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isPointXLessThanPinPoint(int pinPointIndex)` Compares point X with a pin-point.
`int` `pinPointsNumber()`

### Method Detail

#### pinPointsNumber

    int pinPointsNumber()

Returns:
  number of pin-points

#### isPointXLessThanPinPoint

    boolean isPointXLessThanPinPoint(int pinPointIndex)

Compares point X with a pin-point. There should exist such number N that this method returns false when index < N and true otherwise.

Parameters:
  `index` - 0-based index of a pin-point
Returns:
  whether X is less than pin-point number index or more that it